<?php
/*
Plugin Name: Jetpack Site Stats Exclude Plugin
Plugin URI: http://www.foxrunsoftware.net/articles/wordpress/exclude-your-traffic-from-jetpack-site-stats/
Description: Improved traffic filtering from Jetpack Site Stats
Version: 0.0.1
Author: Justin Stern
Author URI: http://www.foxrunsoftware.net
License: GPL2
*/


if ( ! class_exists( 'Jetpack_Site_Stats_Exclude' ) ) {
	
	class Jetpack_Site_Stats_Exclude {
		
		
		public function __construct() {
			add_action( 'template_redirect', array( &$this, 'stats_template_redirect' ) );
		}
		
		
		/**
		 * Remove the WordPress Stats call if the ga_exclude cookie is set or 
		 * the current user is logged in as an administrator
		 */
		public function stats_template_redirect() {
			global $current_user;
			
			if ( ( isset( $_COOKIE['ga_exclude'] ) && $_COOKIE['ga_exclude'] ) ||
			     ( isset( $current_user->roles ) && in_array( 'administrator', $current_user->roles ) ) ) {
				remove_action( 'wp_footer', 'stats_footer', 101 );
	            remove_action( 'wp_head', 'stats_add_shutdown_action' );
			}
		}
	}
	new Jetpack_Site_Stats_Exclude();
}
